Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | List of all members
eZ\Publish\API\Repository\URLWildcardService Interface Reference
Inheritance diagram for eZ\Publish\API\Repository\URLWildcardService:

## Public Member Functions
| create ($sourceUrl, $destinationUrl, $forward=false)
| Creates a new url wildcard. More...
| remove (URLWildcard $urlWildcard)
| Removes an url wildcard. More...
| load ($id)
| Loads a url wild card. More...
| loadAll ($offset=0, $limit=-1)
| Loads all url wild card (paged). More...
| translate ($url)
| Translates an url to an existing uri resource based on the source/destination patterns of the url wildcard. More...

## Detailed Description

Definition at line 16 of file API/Repository/URLWildcardService.php.

## Member Function Documentation

## ◆ create()

eZ\Publish\API\Repository\URLWildcardService::create | ( |  | $sourceUrl,
|  |  | $destinationUrl,
|  |  | $forward = `false`
| ) |  |

Creates a new url wildcard.

Exceptions

Implemented in eZ\Publish\Core\SignalSlot\URLWildcardService, and eZ\Publish\Core\Repository\URLWildcardService.

## ◆ load()

eZ\Publish\API\Repository\URLWildcardService::load | ( |  | $id | ) |

Loads a url wild card.

Exceptions

Implemented in eZ\Publish\Core\SignalSlot\URLWildcardService, and eZ\Publish\Core\Repository\URLWildcardService.

## ◆ loadAll()

eZ\Publish\API\Repository\URLWildcardService::loadAll | ( |  | $offset = `0`,
|  |  | $limit = `-1`
| ) |  |

Loads all url wild card (paged).

Parameters

  int | $offset |
  int | $limit |

Returns
  \eZ\Publish\API\Repository\Values\Content\UrlWildcard[]

Implemented in eZ\Publish\Core\SignalSlot\URLWildcardService, and eZ\Publish\Core\Repository\URLWildcardService.

## ◆ remove()

eZ\Publish\API\Repository\URLWildcardService::remove | ( | URLWildcard | $urlWildcard | ) |

Removes an url wildcard.

Exceptions

Implemented in eZ\Publish\Core\SignalSlot\URLWildcardService, and eZ\Publish\Core\Repository\URLWildcardService.

## ◆ translate()

eZ\Publish\API\Repository\URLWildcardService::translate | ( |  | $url | ) |

Translates an url to an existing uri resource based on the source/destination patterns of the url wildcard.

Exceptions

Implemented in eZ\Publish\Core\SignalSlot\URLWildcardService, and eZ\Publish\Core\Repository\URLWildcardService.

The documentation for this interface was generated from the following file:

- API/Repository/URLWildcardService.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.